# eric3.QScintilla.LexerPerl

Module implementing a Perl lexer with some additional methods.

### Classes

LexerPerl |

### Functions

None

## LexerPerl

Subclass to implement some additional lexer dependant methods.

### Derived from

QextScintillaLexerPerl, Lexer

### Methods

LexerPerl | Constructor

### LexerPerl (Constructor)

LexerPerl(parent=None, name=None)

Constructor

name
  name of this lexer
parent
  parent widget of this lexer

Up